Conty/create-conty.sh
frostworx f0d9759b43
Just a few cosmetical changes (#6)
* minor cosmetics

* minor cosmetics

* pull own filesize from project page - removes need for hardcoded size

* Revert "pull own filesize from project page - removes need for hardcoded size" - nonsense

This reverts commit 5c540c3388.

Co-authored-by: frostworx <frost.zeux@gmail.com>
2021-03-29 00:36:13 +05:00

49 lines
1.1 KiB
Bash
Executable file

#!/usr/bin/env bash
# Dependencies: squashfs-tools zstd lz4
script_dir="$(dirname "$(readlink -f "${BASH_SOURCE[0]}")")"
# Builtin squashfuse supports only lz4 and zstd
# So choose either lz4 or zstd
squashfs_compressor="lz4"
compressor_arguments="-Xhc"
bootstrap="${script_dir}"/root.x86_64
cd "${script_dir}" || exit 1
if [ ! -f utils.tar ] || [ "$(wc -c < utils.tar)" -lt 1000 ]; then
rm -f utils.tar
wget -q --show-progress "https://github.com/Kron4ek/Conty/raw/master/utils.tar"
fi
if [ ! -f squashfs-start.sh ]; then
echo "squashfs-start.sh is required!"
exit 1
fi
if ! command -v mksquashfs 1>/dev/null; then
echo "Please install squashfs-tools and run the script again"
exit 1
fi
if [ ! -d "${bootstrap}" ]; then
echo "Bootstrap is required!"
exit 1
fi
echo
echo "Creating conty..."
echo
# Create the squashfs image
rm -f bootstrap.squashfs
mksquashfs "${bootstrap}" bootstrap.squashfs -b 256K -comp $squashfs_compressor $compressor_arguments
# Combine the files into a single executable using cat
cat squashfs-start.sh utils.tar bootstrap.squashfs > conty.sh
chmod +x conty.sh
clear
echo "Conty created and ready to use!"